- Qt 5.5
- Qt WebEngine
- QML Types
- WebEngineCertificateError QML Type
- Qt 5.5.1 Reference Documentation

# WebEngineCertificateError QML Type

A utility class for accepting or denying certificate exceptions when a certificate error occurs. More...

Import Statement: | import QtWebEngine 1.1
Since: | QtWebEngine 1.1

- List of all members, including inherited members

## Properties

- description : string
- error : enumeration
- overridable : bool
- url : url

## Methods

- void defer()
- void ignoreCertificateError()
- void rejectCertificate()

## Detailed Description

This class contains information about a certificate error that happened and provides a way to accept or deny a certificate exception.

See also WebEngineView::certificateError.

## Property Documentation

read-only description : string

A short localized human-readable description of the error.

read-only error : enumeration

The type of the error.

Constant | Description
--- | ---
`SslPinnedKeyNotInCertificateChain` | The certificate did not match the built-in public key pins for the host name.
`CertificateCommonNameInvalid` | The certificate's common name did not match the host name.
`CertificateDateInvalid` | The certificate is not valid at the current date and time.
`CertificateAuthorityInvalid` | The certificate is not signed by a trusted authority.
`CertificateContainsErrors` | The certificate contains errors.
`CertificateNoRevocationMechanism` | The certificate has no mechanism for determining if it has been revoked.
`CertificateUnableToCheckRevocation` | Revocation information for the certificate is not available.
`CertificateRevoked` | The certificate has been revoked.
`CertificateInvalid` | The certificate is invalid.
`CertificateWeakSignatureAlgorithm` | The certificate is signed using a weak signature algorithm.
`CertificateNonUniqueName` | The host name specified in the certificate is not unique.
`CertificateWeakKey` | The certificate contains a weak key.
`CertificateNameConstraintViolation` | The certificate claimed DNS names that are in violation of name constraints.

read-only overridable : bool

A boolean that indicates if the certificate error can be overridden and accepted.

read-only url : url

The URL that triggered the error.

## Method Documentation

void defer()

This function should be called when there is a need to postpone the decision to ignore or not the certificate error. This is useful to wait for user input. When called it will pause the url request until WebEngineCertificateError::ignoreCertificateError() or WebEngineCertificateError::rejectCertificate() is called.

void ignoreCertificateError()

The certificate error is ignored and the WebEngineView continues to load the requested url.

void rejectCertificate()

The WebEngineView stops loading the requested url.